@import url('https://fonts.googleapis.com/css?family=Shadows+Into+Light');
@import url('https://fonts.googleapis.com/css?family=Noto+Serif+TC');

.tooltip {
    position: relative;
    /* display: inline-block; */
  }
  
  .tooltip .tooltiptext {
    display: none;
    /* visibility: hidden; */
    width:250px;
    background-color: white;
    color: red;
    text-align: center;
    border-radius: 6px;
    padding: 1px 0;
    position: absolute;
    z-index: 1;
    top: 70%;
    left: 30%;
    margin-left: -60px;
  }
  
  .tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    bottom: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent transparent white transparent;
  }
  
  .tooltip:hover .tooltiptext {
    visibility: visible;
  }



html{
    /* background-color: rgb(56, 104, 150); */
    background-color: white;
}


header{
    top: 0;
    left: 0;
    z-index: 1;
    position: fixed;
    width: 100%;
    /* background-color:rgb(56, 104, 150, 0.8); */
    background-color: white;
    color: rgb(56, 104, 150);
    /* opacity: 0.8; */
    height: 60px;
    margin-bottom: 10%;
}

.brand{
    float: left;
    font-size: 25px;
    padding: 10px;
    margin-left: 30px;
    font-family: 'Shadows Into Light', cursive;
}

.brand span{
    color: rgb(56, 104, 150);
}

ul{
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    margin-right: 50px;  
}

li{
    float: right;   
}

li a {
    display: inline-block;
    /* color: white; */
    color: rgb(56, 104, 150);
    text-align: center;
    padding: 16px 12px;
    text-decoration: none;
    font-size: 13px;
    height: 28px;
}

li a:hover{
    /* background-color: white;
    color: rgb(30, 30, 31); */
    background-color: rgb(56, 104, 150);
    color: white;
}

.first{
    /* margin-top: 10%; */
    margin-bottom: 10%;
    height: 100%;
    background-color: rgb(253, 253, 253);

    top: 0;
    position: absolute;
    left: 0;
    background-position: center;
    width: 100%;
    padding-top: 100px;
}

.first img{
    top: 0;
    position: absolute;
    left: 0;
    background-position: center;
    width: 100%;
    height:100%;
    filter: blur(2px);
    -webkit-filter: blur(2px);
    
    
}

.right_container{
    padding-top: 10%;
    display: grid;
    align-content: space-evenly;
    grid-template-columns: auto auto auto;
    grid-gap: 10px;
    padding: 10px;
    /* background-color: rgb(56, 104, 150, 0.8); */
    border-radius: 10px;
    height: 70%;
    width: 80%;
    padding: 30px;
    margin: auto;
    /* z-index: 2; */
    position: relative;
    /* margin-bottom: 10%; */
}

.right-container > div{
    text-align: center;
    padding: 20px;
    width: 150px;
}

.right_container input, .right_container button{
    border: none;
    margin-bottom:20px;
    /* padding: 5px 19px; */ 
}

.right_container input{
    background-color: inherit;
    border-bottom-color: white;
    border-bottom-width: 1px;
    border-bottom-style: ridge;
    color: white;
    width: 250px;
}

#user_mobile{
    width: 160px;
}

#country{
    /* background-color: rgb(56, 104, 150); */
    background-color:  rgb(30, 30, 31);
    border: none;
    padding: 3px;
    border-radius: 5px;
    color: white;
}

input:focus:invalid, input:invalid {
    /* insert your own styles for invalid form input */
    -moz-box-shadow: none;
    /* border-color: red; */
    color: rgb(218, 12, 12);
    font-size: 14px;
    /* opacity: 0.8; */
  }

.right_container .loginButton, .right_container .signupButton{
    padding: 5px 11px;
    background-color:  rgb(30, 30, 31);
    color: white;
    cursor: pointer;
    border-radius: 5px;
}

#signup, #login{
    /* text-align: center; */
    margin: auto;
    margin-top:5%;   
}

#signup{
    display: none;
}

#ics{
    font-size:20px;
}

::placeholder{ 
    color: rgb(216, 214, 214);
    opacity: 1;
}

#err, #errs, #passworderr{
    color:rgb(240, 57, 57);
    font-size: 14px;
    font-weight: bold;
}

/* #err1, #err2{
    
    font-size: 12px;
    margin-top: 0;
    color: rgb(219, 13, 13);
    width:250px;
    font-family: 'Noto Serif TC', serif;
    background-color: #fefefe;
    float: right;
    margin-left: 30px;
} */

.icon{
    text-align: center;
    font-size: 90px;
    opacity: 0.9;
    color: antiquewhite;
}

.option{
    color: rgb(238, 232, 243);
    background-color: inherit;
    cursor: pointer;
}

span{
    color:whitesmoke;
}

hr{
    width:1px; 
    height:400px;
}

.abouttext{
    display: none;
}

.text{
    /* color: black; */
    color: rgb(56, 104, 150);
}

.toptext, .abouttext{
    color: white;
}

.text, .toptext, .abouttext{
    text-align: center;
    font-family: 'Noto Serif TC', serif;
    line-height: 30pt;
}



.toptext{
    margin-top:7%;
}

.grid-container {
    display: grid;
    height: 400px;
    align-content: space-evenly;
    grid-template-columns: auto auto auto;
    grid-gap: 10px;
    /* background-color: rgb(56, 104, 150); */
    padding: 10px;
    position: relative;
    z-index: 1;
    
    
}

#about{
    /* background-color: rgb(56, 104, 150); */
    /* background-color: green; */
    margin: auto;
    /* padding: 50px; */
    margin-top: 800px;
    height: 100%;
    position: absolute;
    display: block;
    /* justify-content: center; */
    /* align-items: center; */
    width: 100%;
    left: 0;
    /* padding-bottom: 30px; */
}
  
.grid-container > div {
    /* background-color: rgba(250, 248, 248, 0.8); */
    /* background-color: black; */
    background-color: rgb(56, 104, 150);
    opacity: 0.8;
    text-align: center;
    padding: 10px;
    font-size: 16px;
    width: 250px;
    margin: auto;
    border-color: black;
    border-width: 10px;
    color: white;
    height: 155px;
}

.grid-container > div span {
    font-size: 13px;
    color: white;
}


.popup {
    display: none; 
    position: fixed; 
    z-index: 1; 
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgba(0,0,0,0.4);
}

.popup-content {
    background-color: #fefefe;
    margin: auto;
    border: 1px solid #888;
    width: 32%;
}

.popup-header {
    padding: 22px 16px;
    background-color:rgb(56, 104, 150);
    color: white;
    font-size: 12px;
}

.popup-body {
    padding: 3%;
    font-size: 17px;
    color: rgb(30, 30, 31);    
}

.popup-footer {
    padding: 22px 16px;
    background-color:rgb(56, 104, 150);
    color: white;
    font-size: 12px;
}

.popup-footer button {
    padding: 5px 15px;
    color: rgb(30, 30, 31);
    font-size: 12px;
    border: none;
    border-radius: 3px;
    margin-left: 45%;
}

.popup-footer button:hover {
    color: rgb(30, 30, 31);
    background-color: white;
}


footer{
    /* bottom: 0;
    left: 0;
    position: relative;
    right: 0; */
    width: 100%;
    /* background-color: rgb(56, 104, 150); */
    background-color: black;
    opacity: 0.8;
    height: 50px;
    text-align: center;
    right: 0;
    margin: auto;
    /* padding: 50px; */
    margin-top: 1430px;
    /* height: 100%; */
    position: absolute;
    /* display: block; */
    /* justify-content: center; */
    /* align-items: center; */
    /* width: 100%; */
    /* left: 0; */
    /* padding-bottom: 100px; */
    
}

footer span{
    color: white;
    font-size: 12px;
    padding-top: 50px;
}

@media only screen and (max-width: 400px){
    .toptext, hr{
        display: none
    }

    .brand{
        /* font-size: 20px; */
        margin-left: 5px;
    }
    
    ul{
        margin-right: 0px;  
    }
    
    .first{
        margin-top: 40%;
    }
    
    .first img{
        /* height:130%; */
        
    }
    
    .right_container{
        height: 450px;
        width: 60%;
    }
        
    .right_container .loginButton, .right_container .signupButton{
        font-size: 10px;
    }
    
    .right_container input{
        width: 80%;
    }

    #ics{
        font-size:15px;
    }
        
    #err, #errs{
        font-size: 12px;
    }
    
    .option{
        font-size: 10px;
    }
    
    span{
        font-size: 10px;
    }
    
  
    .abouttext{
        display: block;
        line-height: 25pt;
        font-size: 12px;
    }

    .text{
        display: none;
    }
    
    #about{
        background-color: rgb(30, 30, 31);
        margin: auto;
        padding: 50px;
        margin-top: 15%;
    }
   
    
    .grid-container {
        grid-template-columns: auto auto;
        justify-content: center;  
    }
     
    .grid-container > div {
        padding: 10px;
        font-size: 12px;
        width: 100px;
        height: 100px;
    }
    
    .grid-container > div span {
        font-size: 8px;
    }
    
    .popup {
        display: none; 
        position: fixed; 
        z-index: 1; 
        padding-top: 100px;
        left: 0;
        top: 0;
        width: 100%; 
        height: 100%; 
        overflow: auto; 
        background-color: rgba(0,0,0,0.4);
    }
    
    .popup-content {
        background-color: #fefefe;
        margin: auto;
        border: 1px solid #888;
        width: 32%;
    }
    
    .popup-header {
        padding: 22px 16px;
        background-color:rgb(30, 30, 31);
        color: white;
        font-size: 12px;
    }
    
    .popup-body {
        padding: 3%;
        font-size: 15px;
        color: rgb(30, 30, 31);    
    }
    
    .popup-footer {
        padding: 22px 16px;
        background-color:rgb(30, 30, 31);
        color: white;
        font-size: 12px;
    }
    
    .popup-footer button {
        padding: 5px 15px;
        color: rgb(30, 30, 31);
        font-size: 12px;
        border: none;
        border-radius: 3px;
        margin-left: 45%;
    }
    
}

@media only screen and (max-width: 700px) and (min-width: 400px){
    .toptext, hr{
        display: none
    }

    .brand{
        font-size: 20px;
        margin-left: 10px;
    }
    
    ul{
        margin-right: 10px;  
    }
    
    .first{
        margin-top: 20%;
    }
    
    .first img{
        height:90%;
        
    }
    
    .right_container{
        height: 350px;
        width: 70%;
    }
        
    .option, span, .right_container .loginButton, .right_container .signupButton{
        font-size: 11px;
    }
    
    .right_container input{
        width: 90%;
    }

    #ics{
        font-size:15px;
    }
        
    #err, #errs{
        font-size: 12px;
    }
    
  
    .abouttext{
        display: block;
        line-height: 25pt;
        font-size: 14px;
    }

    .text{
        display: none;
    }
    
    #about{
        margin-top: 10%;
    }
   
    
    .grid-container {
        grid-template-columns: auto auto;
        justify-content: center;  
    }
     
    .grid-container > div {
        padding: 10px;
        font-size: 13px;
        width: 120px;
        height: 120px;
    }
    
    .grid-container > div span {
        font-size: 9px;
    }
    
    .popup {
        display: none; 
        position: fixed; 
        z-index: 1; 
        padding-top: 100px;
        left: 0;
        top: 0;
        width: 100%; 
        height: 100%; 
        overflow: auto; 
        background-color: rgba(0,0,0,0.4);
    }
    
    .popup-content {
        background-color: #fefefe;
        margin: auto;
        border: 1px solid #888;
        width: 32%;
    }
    
    .popup-header {
        padding: 22px 16px;
        background-color:rgb(30, 30, 31);
        color: white;
        font-size: 12px;
    }
    
    .popup-body {
        padding: 3%;
        font-size: 15px;
        color: rgb(30, 30, 31);    
    }
    
    .popup-footer {
        padding: 22px 16px;
        background-color:rgb(30, 30, 31);
        color: white;
        font-size: 12px;
    }
    
    .popup-footer button {
        padding: 5px 15px;
        color: rgb(30, 30, 31);
        font-size: 12px;
        border: none;
        border-radius: 3px;
        margin-left: 45%;
    }
}

@media screen and (max-width: 900px) and (min-width: 700px){
    .toptext{
       
        font-size: 13px;
    }  

    .grid-container > div {
        width: 200px;
    }
}
